=== modified file 'Makefile.am'
--- Makefile.am	2010-08-17 20:57:43 +0000
+++ Makefile.am	2010-08-20 00:45:16 +0000
@@ -30,8 +30,10 @@
 
 VERSION=$(PANDORA_RELEASE_VERSION)
 
-SUBDIRS = po \
-	  .
+SUBDIRS = .
+if BUILD_PO
+SUBDIRS += po
+endif
 
 DIST_SUBDIRS = ${SUBDIRS} tests
 

=== modified file 'configure.ac'
--- configure.ac	2010-08-12 07:35:31 +0000
+++ configure.ac	2010-08-20 00:45:16 +0000
@@ -111,7 +111,6 @@
 AM_CONDITIONAL([BUILD_GCC_PCH],[test "no" = "yes"])
 
 AC_CONFIG_FILES(Makefile dnl
- po/Makefile.in dnl
  tests/Makefile dnl
  drizzled/plugin/version.h dnl
  support-files/drizzle.server support-files/drizzle-log-rotate

=== modified file 'm4/pandora_canonical.m4'
--- m4/pandora_canonical.m4	2010-08-19 20:47:31 +0000
+++ m4/pandora_canonical.m4	2010-08-20 00:45:16 +0000
@@ -233,8 +233,11 @@
     AC_CHECK_LIB(intl, libintl_gettext)
     AC_SUBST([GETTEXT_PACKAGE])
     AS_IF([test "x${USE_NLS}" = "xyes" -a "x${pandora_have_intltool}" = "xyes"],
-          [AC_DEFINE([ENABLE_NLS],[1],[Turn on language support])])
+          [AC_DEFINE([ENABLE_NLS],[1],[Turn on language support])
+           AC_CONFIG_FILES([po/Makefile.in])
+    ])
   ])
+  AM_CONDITIONAL(BUILD_PO,[test "x${USE_NLS}" = "xyes" -a "x${pandora_have_intltool}" = "xyes"])
 
   AS_IF([test "x${gl_LIBOBJS}" != "x"],[
     AS_IF([test "$GCC" = "yes"],[

=== modified file 'm4/pandora_intltool.m4'
--- m4/pandora_intltool.m4	2010-08-19 20:47:31 +0000
+++ m4/pandora_intltool.m4	2010-08-20 00:45:16 +0000
@@ -51,6 +51,10 @@
       AC_MSG_WARN([Your intltool is too old.  You need intltool $1 or later.])
     ])
 fi
+AC_CHECK_HEADERS([intltool.h])
+AS_IF([test "x${ac_cv_header_intltool_h}" = "xfalse"],[
+  pandora_have_intltool=no
+])
 
 AC_PATH_PROG(INTLTOOL_UPDATE, [intltool-update])
 AC_PATH_PROG(INTLTOOL_MERGE, [intltool-merge])
@@ -181,23 +185,24 @@
 AC_CONFIG_COMMANDS_PRE([
   AC_CONFIG_COMMANDS([$1/stamp-it], [
     if [ ! grep "^# INTLTOOL_MAKEFILE$" "$1/Makefile.in" > /dev/null ]; then
-       AC_MSG_ERROR([$1/Makefile.in.in was not created by intltoolize.])
+       AC_MSG_WARN([$1/Makefile.in.in was not created by intltoolize.])
+    else
+	    rm -f "$1/stamp-it" "$1/stamp-it.tmp" "$1/POTFILES" "$1/Makefile.tmp"
+	    >"$1/stamp-it.tmp"
+	    [sed '/^#/d
+		 s/^[[].*] *//
+		 /^[ 	]*$/d
+		'"s|^|	$ac_top_srcdir/|" \
+	      "$srcdir/$1/POTFILES.in" | sed '$!s/$/ \\/' >"$1/POTFILES"
+	    ]
+	    [sed '/^POTFILES =/,/[^\\]$/ {
+			/^POTFILES =/!d
+			r $1/POTFILES
+		  }
+		 ' "$1/Makefile.in" >"$1/Makefile"]
+	    rm -f "$1/Makefile.tmp"
+	    mv "$1/stamp-it.tmp" "$1/stamp-it"
     fi
-    rm -f "$1/stamp-it" "$1/stamp-it.tmp" "$1/POTFILES" "$1/Makefile.tmp"
-    >"$1/stamp-it.tmp"
-    [sed '/^#/d
-	 s/^[[].*] *//
-	 /^[ 	]*$/d
-	'"s|^|	$ac_top_srcdir/|" \
-      "$srcdir/$1/POTFILES.in" | sed '$!s/$/ \\/' >"$1/POTFILES"
-    ]
-    [sed '/^POTFILES =/,/[^\\]$/ {
-		/^POTFILES =/!d
-		r $1/POTFILES
-	  }
-	 ' "$1/Makefile.in" >"$1/Makefile"]
-    rm -f "$1/Makefile.tmp"
-    mv "$1/stamp-it.tmp" "$1/stamp-it"
   ])
 ])dnl
 ])

